Page MenuHomePhabricator

Package 3d2png for deployment to WMF servers
Closed, ResolvedPublic

Description

rTDTP — 3d2png — is a conversion tool used to turn STL files (a three-dimensional model filetype) into PNG thumbnails for display on MediaWiki sites. This will need to be packaged so it can be deployed via puppet to the appropriate servers.

Work on this is ongoing, but there are some road bumps, specifically relating to the node-canvas library which is installed via npm, and requires a g++ build, which may affect the architectures supported by any package we produce.

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMar 10 2017, 5:52 PM

Assuming this was included because it was automatically included when the subtask was created, not because you felt this specific step should be reported on separately. Add it again if I'm mistaken.

Change 345377 had a related patch set uploaded (by MarkTraceur):
[operations/puppet@production] Add 3d2png deploy repo to image scalers

https://gerrit.wikimedia.org/r/345377

dr0ptp4kt raised the priority of this task from Normal to High.May 31 2017, 5:09 PM
dr0ptp4kt moved this task from Untriaged to Next up on the Multimedia board.
dr0ptp4kt moved this task from Next up to Doing on the Multimedia board.Jul 24 2017, 3:14 PM
MarkTraceur closed this task as Resolved.Aug 28 2017, 4:35 PM

We have finished everything we need ahead of enabling 3D on the production cluster, so I think this is set.

Change 345377 merged by Filippo Giunchedi:
[operations/puppet@production] Add 3d2png deploy repo to image scalers

https://gerrit.wikimedia.org/r/345377

Change 378054 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] imagescaler: use class-style for 3d2png

https://gerrit.wikimedia.org/r/378054

Change 378054 merged by Filippo Giunchedi:
[operations/puppet@production] imagescaler: use class-style for 3d2png

https://gerrit.wikimedia.org/r/378054

Change 378057 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] imagescaler: call 3d2png::deploy as thumbor::mediawiki does

https://gerrit.wikimedia.org/r/378057

Change 378057 merged by Filippo Giunchedi:
[operations/puppet@production] imagescaler: call 3d2png::deploy as thumbor::mediawiki does

https://gerrit.wikimedia.org/r/378057

Change 378058 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] Revert "Add 3d2png deploy repo to image scalers"

https://gerrit.wikimedia.org/r/378058

Change 378058 merged by Filippo Giunchedi:
[operations/puppet@production] Revert "Add 3d2png deploy repo to image scalers"

https://gerrit.wikimedia.org/r/378058

Change 378233 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[operations/puppet@production] Add 3d2png deploy repo to image scalers

https://gerrit.wikimedia.org/r/378233

Change 378233 merged by Filippo Giunchedi:
[operations/puppet@production] Add 3d2png deploy repo to image scalers

https://gerrit.wikimedia.org/r/378233